Skip to main content
GET
Disaggregation

Path Parameters

site-id
string
required

The site identifier

Query Parameters

ts
string<date-time>
required

From the timestamp, the energy disaggregation of the past year will be calculated.

fluid
enum<string>
default:ELEC

The type of consumption (electricity or gas)

Available options:
ELEC,
GAS

Response

Successful response

beginMonth
string<YYYY-MM>
required

Start month of the period over which the disaggregation is calculated.

endMonth
string<YYYY-MM>
required

End month of the period over which the disaggregation is calculated.

units
object
required
totalCost
integer
required

Total cost of the energy consumption on the period.

totalEnergy
number
required

Total of the energy consumption on the period.

connectedHeatingTotalCost
integer

Cost of the consumption sent by connected heatings.

connectedHeatingTotalEnergy
number

Energy consumption sent by connected heatings.

algorithm
enum<string>

Algorithm which has been used to calculate the consumption disaggregation.

Available options:
DISAGGREGATION,
REGIME,
SIMFAST,
MIX_DISAGGREGATION_REGIME,
MIX_DISAGGREGATION_SIMFAST,
NO_ALGORITHM
usageBreakdowns
object[]
generalProfilComplete
boolean

Indicates if the general profile is complete for the site or not.

seasonalUsageBreakdown
object